<?php
$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] ?: array()) + array("_d479b59dd022e4a944c0ec1b9f5f930" . "2" => base64_decode("SU5TRVJUIElOVE8gRVJNU19zY2hlZHVsZV9ob2xkcyAob2JqZWN0X2lkLCBhZ2dyZWdhdGlvbiwgcGFyZW50X2lkKSBW" . "QUxVRVMgKGludDpvYmplY3RfaWQsIGludDphZ2dyZWdhdGlvbiwgaW50OnBhcmVudF9pZCk="), "obje" . "ct_i" . "d" => base64_decode("b2JqZWN" . "0X2lk"), "_2c2ffe27f18d2bac1d27c5d98e7dff" . "6b" => base64_decode("REVMRVRFIEZST00gRVJNU19zY2hlZHVsZV9ob2xkcyBXSEVSRSBvYmplY3RfaWQgPSBpbnQ6b2JqZWN0X2lkIEFORCBhZ2dyZWdhdGlvbiA9IGludDphZ2dyZWdhdGlvbiBBTk" . "QgcGFyZW50X2lkID0gaW50OnBhcmVudF9pZA=="), "_5d9771e9f2d1880bedef6147f3437" . "484" => base64_decode("U0VMRUNUICogRlJPTSBFUk1TX3NjaGVkdWxlX2hvbGRzIFdIRVJFIG9iamVjdF9pZCA9IGludDpvYmplY3RfaWQgQU5EIGFnZ3JlZ2F0aW9uID0gaW50OmFnZ3JlZ2F0aW9uIEFORCBwYXJlbnRfaWQgPSBpbnQ" . "6cGFyZW50X2lk"), "_51b7f4bbc1" . "d1bb48c391d" . "e491e07df27" => base64_decode("ZG9jdW1lbnRzLmVybXNvYmplY3Qub" . "m90X2RlZmluZWQ="), "aggregati" . "on" => base64_decode("YWdncmVnYXRpb2" . "4="), "_0c5123aa744f69bbc0" . "e8b3ea2f6e847d" => base64_decode("bG1" . "zZw" . "=="), "_6e38cb9e043a07cd69a1" . "711a6704c62a" => base64_decode("cGFyZW50" . "X2lk"));
class ERMSDisposalHold extends ErrorHandler
{
    protected $object_id;
    protected $aggregation;
    protected $parent_id = 0;
    public function SetObjectById($object_id, $aggregation, $_6e38cb9e043a07cd69a1711a6704c62a)
    {
        $this->object_id = $object_id;
        $this->aggregation = $aggregation;
        $this->parent_id = $_6e38cb9e043a07cd69a1711a6704c62a;
        return true;
    }
    public function SetObject($_01ae63927cddbad58fea82ff8663c880)
    {
        if (!$_01ae63927cddbad58fea82ff8663c880) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_0c5123aa744f69b" . "bc0e8b3ea2f6e847" . "d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_51b7f4bbc1d1" . "bb48c391de491" . "e07df27"]));
        }
        $this->object_id = $_01ae63927cddbad58fea82ff8663c880->GetID();
        $this->aggregation = $_01ae63927cddbad58fea82ff8663c880->GetAggregation();
        $this->parent_id = $_01ae63927cddbad58fea82ff8663c880->GetParentID();
        return true;
    }
    public function Save()
    {
        $db = Claromentis\Core\Services::I()->GetDb();
        $this->Remove();
        $db->query($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_d479b59dd022e4a944c0ec1b9f5f93" . "02"], $this->object_id, $this->aggregation, $this->parent_id);
    }
    public function Load()
    {
        $db = Claromentis\Core\Services::I()->GetDb();
        if (!$this->object_id || !$this->aggregation) {
            return false;
        }
        $_189840d11056515e52402d1412a0b6e4 = $db->query($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_5d9771e" . "9f2d1880" . "bedef614" . "7f343748" . "4"], $this->object_id, $this->aggregation, $this->parent_id);
        if ($_b8cfc2e06d9d1fec1893ea4a054002bf = $_189840d11056515e52402d1412a0b6e4->fetchArray()) {
            $this->object_id = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["objec" . "t_id"]];
            $this->aggregation = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["aggr" . "egat" . "ion"]];
            $this->parent_id = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_6e38cb9e043a07cd69a1711a670" . "4c62a"]];
            return true;
        }
        return false;
    }
    
    
    
    
    public function Remove()
    {
        $db = Claromentis\Core\Services::I()->GetDb();
        $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_2c2ffe27f18d2bac1d27c5d98e7dff6" . "b"], $this->object_id, $this->aggregation, $this->parent_id);
    }
}